# eSpeak NG - Documentation
======================

### [Usage](commands.md)

### [Languages](languages.md)

### [Voice Files](voices.md)

Voice files specify a language and other characteristics of a voice.

### [Mbrola Voices](mbrola.md)

eSpeak NG can be used as a front-end for Mbrola diphone voices.

### [Pronunciation Dictionary](dictionary.md)

### [Adding a Language](add_language.md)

How to add or improve a language.

### [Phonemes](phonemes.md)

The list of phoneme mnemonics for English, for use in the Pronunciation
Dictionary.

### [Phoneme Tables](phontab.md)

The tables of the phonemes used by each language, with their properties
and sound production.

### [Intonation](intonation.md)

Different intonation "tunes" may be defined for different languages for
clauses which end in full-stop, comma, question-mark, and
exclamation-mark.

### [eSpeak NG Library API](speak_lib.h)

API definition and header file for a shared library version of eSpeak NG.

### [Markup tags](ssml.md)

SSML (Speech Synthesis Markup Language) and HTML tags recognized by
eSpeak NG.

### [The espeakedit program](editor.md)

GUI software to edit vowel files and to compile the phoneme data for use
by eSpeak NG. See also [Espeakedit user interface](editor_if.md). 


